'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _Object$assign = require('babel-runtime/core-js/object/assign')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var Col = (function (_Component) {
  _inherits(Col, _Component);

  function Col(props) {
    _classCallCheck(this, Col);

    _Component.call(this, props);

    this._classMap = {
      xs: 'col-xs-',
      sm: 'col-sm-',
      md: 'col-md-',
      lg: 'col-lg-',
      xsOffset: 'col-xs-offset-',
      smOffset: 'col-sm-offset-',
      mdOffset: 'col-md-offset-',
      lgOffset: 'col-lg-offset-'
    };
  }

  Col.prototype.render = function render() {
    var classes = [];

    if (this.props.className) {
      classes.push(this.props.className);
    }

    if (this.props.reverse) {
      classes.push('reverse');
    }

    for (var key in this.props) {
      if (this.props.hasOwnProperty(key) && this._classMap[key]) {
        classes.push(this._classMap[key] + this.props[key]);
      }
    }

    return _react2['default'].createElement('div', _Object$assign({}, this.props, {
      className: classes.join(' ')
    }), this.props.children);
  };

  return Col;
})(_react.Component);

exports['default'] = Col;

Col.propTypes = {
  xs: _react.PropTypes.number,
  sm: _react.PropTypes.number,
  md: _react.PropTypes.number,
  lg: _react.PropTypes.number,
  xsOffset: _react.PropTypes.number,
  smOffset: _react.PropTypes.number,
  mdOffset: _react.PropTypes.number,
  lgOffset: _react.PropTypes.number,
  reverse: _react.PropTypes.bool
};
module.exports = exports['default'];