'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactAddonsTestUtils = require('react-addons-test-utils');

var _reactAddonsTestUtils2 = _interopRequireDefault(_reactAddonsTestUtils);

var _Col = require('../Col');

var _Col2 = _interopRequireDefault(_Col);

jest.dontMock('../Col');

describe('Col', function () {
  it('Should add classes equals to props', function () {
    var col = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Col2['default'], { xs: 12, sm: 8, md: 6, lg: 4 }));
    var className = _reactDom2['default'].findDOMNode(col).className;
    expect(className).toContain('col-xs-12');
    expect(className).toContain('col-sm-8');
    expect(className).toContain('col-md-6');
    expect(className).toContain('col-lg-4');
  });

  it('Should add "reverse" class if "reverse" property is true', function () {
    var col = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Col2['default'], { reverse: true }));
    expect(_reactDom2['default'].findDOMNode(col).className).toContain('reverse');
  });

  it('Should not replace class', function () {
    var col = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Col2['default'], { className: 'foo', md: 3 }));
    var className = _reactDom2['default'].findDOMNode(col).className;
    expect(className).toContain('foo');
    expect(className).toContain('col-md-3');
  });
});