'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactAddonsTestUtils = require('react-addons-test-utils');

var _reactAddonsTestUtils2 = _interopRequireDefault(_reactAddonsTestUtils);

var _Grid = require('../Grid');

var _Grid2 = _interopRequireDefault(_Grid);

jest.dontMock('../Grid');

describe('Grid', function () {
  it('Should add "container" class', function () {
    var grid = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Grid2['default'], null));
    expect(_reactDom2['default'].findDOMNode(grid).className).toEqual('container');
  });

  it('Should not replace class', function () {
    var grid = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Grid2['default'], { className: 'foo' }));
    var className = _reactDom2['default'].findDOMNode(grid).className;
    expect(className).toContain('foo');
    expect(className).toContain('container');
  });

  it('Should add "container-fluid" class if "fluid" property is true', function () {
    var grid = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Grid2['default'], { fluid: true }));
    expect(_reactDom2['default'].findDOMNode(grid).className).toEqual('container-fluid');
  });
});