'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactAddonsTestUtils = require('react-addons-test-utils');

var _reactAddonsTestUtils2 = _interopRequireDefault(_reactAddonsTestUtils);

var _Row = require('../Row');

var _Row2 = _interopRequireDefault(_Row);

jest.dontMock('../Row');

describe('Row', function () {
  it('Should add "row" class', function () {
    var row = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Row2['default'], null));
    expect(_reactDom2['default'].findDOMNode(row).className).toEqual('row');
  });

  it('Should add "reverse" class if "reverse" property is true', function () {
    var row = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Row2['default'], { reverse: true }));
    expect(_reactDom2['default'].findDOMNode(row).className).toContain('reverse');
  });

  it('Should not replace class', function () {
    var row = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Row2['default'], { className: 'foo' }));
    var className = _reactDom2['default'].findDOMNode(row).className;
    expect(className).toContain('foo');
    expect(className).toContain('row');
  });

  it('Should add modificators', function () {
    var row = _reactAddonsTestUtils2['default'].renderIntoDocument(_react2['default'].createElement(_Row2['default'], {
      start: 'xs',
      center: 'sm',
      end: 'md',
      top: 'lg',
      middle: 'xs',
      bottom: 'sm',
      around: 'md',
      between: 'lg',
      first: 'xs',
      last: 'sm'
    }));
    var className = _reactDom2['default'].findDOMNode(row).className;

    expect(className).toContain('row');
    expect(className).toContain('start-xs');
    expect(className).toContain('center-sm');
    expect(className).toContain('end-md');
    expect(className).toContain('top-lg');
    expect(className).toContain('middle-xs');
    expect(className).toContain('bottom-sm');
    expect(className).toContain('around-md');
    expect(className).toContain('between-lg');
    expect(className).toContain('first-xs');
    expect(className).toContain('last-sm');
  });
});